### Method

# GLib Queue free

#### Declaration [src]

    void
    g_queue_free (
      GQueue* queue
    )

#### Description [src]

Frees the memory allocated for the `GQueue`. Only call this function if `queue` was created with g_queue_new(). If queue elements contain dynamically-allocated memory, they should be freed first.

If queue elements contain dynamically-allocated memory, you should either use `g_queue_free_full()` or free them manually first.